### Name: AreaInter
### Title: The Area Interaction Point Process Model
### Aliases: AreaInter
### Keywords: spatial models

### ** Examples

   # prints a sensible description of itself
   AreaInter(r=0.1)

   # Note the reach is twice the radius
   reach(AreaInter(r=1))

   # Fit the stationary area interaction process to Swedish Pines data   
   data(swedishpines)
   ppm(swedishpines, ~1, AreaInter(r=7))

   # Fit the stationary area interaction process to `cells'
   data(cells) 
   ppm(cells, ~1, AreaInter(r=0.06))
   # eta=0 indicates hard core process.

   # Fit a nonstationary area interaction with log-cubic polynomial trend
   ppm(swedishpines, ~polynom(x/10,y/10,3), AreaInter(r=7))



