### Name: alltypes
### Title: Calculate Summary Statistic for All Types in a Multitype Point
###   Pattern
### Aliases: alltypes
### Keywords: spatial nonparametric

### ** Examples

   # bramblecanes (3 marks).
   data(bramblecanes)
   ## Don't show:
      bramblecanes <- bramblecanes[c(seq(1, 744, by=20), seq(745, 823, by=4))]
   
## End Don't show
   bF <- alltypes(bramblecanes,"F",verb=TRUE)
   plot(bF) 
   plot(alltypes(bramblecanes,"G"))
   plot(alltypes(bramblecanes,"Gdot"))
   
   # Swedishpines (unmarked).
   data(swedishpines)
   ## Don't show:
     swedishpines <- swedishpines[1:25]
   
## End Don't show
   plot(alltypes(swedishpines,"K"))
   plot(alltypes(swedishpines,"F"))

   data(amacrine)
   plot(alltypes(amacrine, "pcf"), ylim=c(0,1.3))

   # A setting where you might REALLY want to use dataname:
   ## Not run: 
##D    xxx <- alltypes(ppp(Melvin$x,Melvin$y,
##D                 window=as.owin(c(5,20,15,50)),marks=clyde),
##D                 fun="F",verb=TRUE,dataname="Melvin")
##D    
## End(Not run)

   # envelopes
   bKE <- alltypes(bramblecanes,"K",envelope=TRUE,nsim=19)
   bFE <- alltypes(bramblecanes,"F",envelope=TRUE,nsim=19,global=TRUE)

   # extract one entry
   as.fv(bKE[1,1])
   



