### Name: fitin.ppm
### Title: Extract the Interaction from a Fitted Point Process Model
### Aliases: fitin fitin.ppm
### Keywords: spatial models

### ** Examples

   data(betacells)

   # unmarked 
   X <- unmark(betacells)
   model <- ppm(X, ~1, PairPiece(seq(10,100,by=10)))
   f <- fitin(model)
   f
   plot(f)

   # marked
   # fit the stationary multitype Strauss process to `betacells'
   r <- 30.0 * matrix(c(1,2,2,1), nrow=2,ncol=2)
   model <- ppm(betacells, ~1, MultiStrauss(c("off","on"), r))
   f <- fitin(model)
   f
   plot(f)



