### Name: kstest.ppm
### Title: Kolmogorov-Smirnov Test for Point Process Model
### Aliases: kstest kstest.ppm kstest.ppp
### Keywords: htest spatial

### ** Examples

   # real data: Swedish Pines
   data(swedishpines)

   # test covariate = x coordinate
   xcoord <- function(x,y) { x }

   # test of CSR
   kstest(swedishpines, xcoord)

   # fit inhomogeneous Poisson model and test
   model <- ppm(swedishpines, ~x + y)
   kstest(model, xcoord)

   # synthetic data: nonuniform Poisson process
   X <- rpoispp(function(x,y) { 100 * exp(x) }, win=square(1))

   # fit uniform Poisson process
   fit0 <- ppm(X, ~1)
   # fit correct nonuniform Poisson process
   fit1 <- ppm(X, ~x)

   # test wrong model
   kstest(fit0, xcoord)
   # test right model
   kstest(fit1, xcoord)



