### Name: nbfires
### Title: Point Patterns of New Brunswick Forest Fires
### Aliases: nbfires nbextras nbw.rect
### Keywords: datasets spatial

### ** Examples

## Not run: 
##D data(nbfires)
##D X <- split(nbfires) # Create a list of yearly point patterns.
##D attach(X)           # Make the individual point patterns accessible.
##D attach(nbextras)    # Make the individual `extras' accessible.
##D ftyp <- extras.00$fire.type
##D Y.00 <- nbfires.00[ftyp==1 | ftyp==2] # Pick out forest and grass fires.
##D stt  <- extras.00$dis.julian[ftyp==1 | ftyp==2] 
##D fin  <- extras.00$out.julian[ftyp==1 | ftyp==2] 
##D Y.00 <- setmarks(Y.00,fin-stt) # Mark the pattern with fire duration.
##D plot(Y.00)
##D #
##D nbw.mask <- as.mask(nbfires$window, dimyx=500)
##D plot(nbw.mask, col=c("green", "white"))
##D plot(nbfires$window, border="red", add=TRUE)
##D #
##D plot(unmark(Y.00)[nbw.rect], add=TRUE)
##D plot(nbw.rect,add=TRUE,border="blue")
##D #
##D K.00 <- Kest(Y.00)
##D plot(K.00)
## End(Not run)



