### Name: predict.ppm
### Title: Prediction from a Fitted Point Process Model
### Aliases: predict.ppm
### Keywords: spatial models

### ** Examples

  data(cells)
  m <- ppm(cells, ~ polynom(x,y,2), Strauss(0.05))
  trend <- predict(m, type="trend")
  ## Not run: 
##D   image(trend)
##D   points(cells)
##D   
## End(Not run)
  cif <- predict(m, type="cif")
  ## Not run: 
##D   persp(cif)
##D   
## End(Not run)
  data(japanesepines)
  mj <- ppm(japanesepines, ~harmonic(x,y,2))
  se <- predict(mj, type="se")

  # prediction at arbitrary locations
  predict(mj, locations=data.frame(x=0.3, y=0.4))

  X <- runifpoint(5, japanesepines$window)
  predict(mj, locations=X)
  predict(mj, locations=X, type="se")

  # multitype
  data(amacrine)
  ma <- ppm(amacrine, ~marks,
     MultiStrauss(c("off","on"),matrix(0.06, 2, 2)))
  predict(ma)
  predict(ma, type="cif")
  predict(ma, locations=data.frame(x=0.8, y=0.5,marks="on"), type="cif")




